--- mesh_stack_orig.c	2018-09-20 15:55:47.109248666 +0200
+++ mesh_stack_fixed.c	2018-09-20 15:55:50.709248666 +0200
@@ -51,6 +51,9 @@
 #include "proxy.h"
 #endif
 
+#include "nrf_nvic.h"
+#include "mesh_app_utils.h"
+
 static health_server_t m_health_server;
 
 static void device_reset(void)
@@ -102,6 +105,9 @@
         p_init_params->models.models_init_cb();
     }
 
+    uint8_t is_nested;
+    ERROR_CHECK(sd_nvic_critical_region_enter(&is_nested));
+
     /* Load configuration, and check if the device has already been provisioned */
     mesh_config_load();
 
@@ -122,6 +128,8 @@
         *p_device_provisioned = is_provisioned;
     }
 
+    ERROR_CHECK(sd_nvic_critical_region_exit(is_nested));
+
     return NRF_SUCCESS;
 }
 
